# $Revision: 1.34 $, $Date: 2011/04/02 06:46:55 $
Summary:	GNOME Settings Daemon
Summary(pl.UTF-8):	Demon ustawień GNOME
Name:		gnome-settings-daemon
Version:	2.32.1
Release:	2
Epoch:		1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-settings-daemon/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	6420706542e8fb959acba7e2a69ee35f
Patch0:		%{name}-pa-reconnect.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.20.0
BuildRequires:	gnome-desktop-devel >= 2.30.0
BuildRequires:	gtk+2-devel >= 2:2.22.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libcanberra-gtk-devel
BuildRequires:	libgnomekbd-devel >= 2.32.0
BuildRequires:	libnotify-devel >= 0.4.5
BuildRequires:	libtool
BuildRequires:	libxklavier-devel >= 5.0
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.91
BuildRequires:	pulseaudio-devel >= 0.9.15
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xorg-lib-libXxf86misc-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
Requires:	xorg-app-xrdb
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Settings Daemon.

%description -l pl.UTF-8
Demon ustawień GNOME.

%package devel
Summary:	Header file for developing GNOME Settings Daemon clients
Summary(pl.UTF-8):	Plik nagłówkowy do tworzenia klientów demona ustawień GNOME
Group:		Development/Libraries
Requires:	dbus-glib-devel >= 0.74
Requires:	glib2-devel >= 1:2.20.0
# doesn't require base currently

%description devel
Header file for developing GNOME Settings Daemon clients.

%description devel -l pl.UTF-8
Plik nagłówkowy do tworzenia klientów demona ustawień GNOME.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-2.0/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install apps_gnome_settings_daemon_housekeeping.schemas
%gconf_schema_install apps_gnome_settings_daemon_keybindings.schemas
%gconf_schema_install apps_gnome_settings_daemon_xrandr.schemas
%gconf_schema_install desktop_gnome_font_rendering.schemas
%gconf_schema_install desktop_gnome_keybindings.schemas
%gconf_schema_install desktop_gnome_peripherals_smartcard.schemas
%gconf_schema_install desktop_gnome_peripherals_touchpad.schemas
%gconf_schema_install gnome-settings-daemon.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall apps_gnome_settings_daemon_housekeeping.schemas
%gconf_schema_uninstall apps_gnome_settings_daemon_keybindings.schemas
%gconf_schema_uninstall apps_gnome_settings_daemon_xrandr.schemas
%gconf_schema_uninstall desktop_gnome_font_rendering.schemas
%gconf_schema_uninstall desktop_gnome_keybindings.schemas
%gconf_schema_uninstall desktop_gnome_peripherals_smartcard.schemas
%gconf_schema_uninstall desktop_gnome_peripherals_touchpad.schemas
%gconf_schema_uninstall gnome-settings-daemon.schemas

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
/etc/dbus-1/system.d/org.gnome.SettingsDaemon.DateTimeMechanism.conf
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_housekeeping.schemas
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_xrandr.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_font_rendering.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_keybindings.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_smartcard.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_touchpad.schemas
%{_sysconfdir}/gconf/schemas/gnome-settings-daemon.schemas
%{_sysconfdir}/xdg/autostart/gnome-settings-daemon.desktop
%{_datadir}/dbus-1/system-services/org.gnome.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/gnome-control-center/keybindings/50-accessibility.xml
%{_datadir}/polkit-1/actions/org.gnome.settingsdaemon.datetimemechanism.policy
%attr(755,root,root) %{_libexecdir}/gnome-settings-daemon
%attr(755,root,root) %{_libexecdir}/gsd-locate-pointer
%attr(755,root,root) %{_libexecdir}/gsd-datetime-mechanism
%dir %{_libdir}/gnome-settings-daemon-2.0
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/liba11y-keyboard.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libbackground.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libclipboard.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libfont.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libhousekeeping.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libkeybindings.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libkeyboard.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libmedia-keys.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libmouse.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libsmartcard.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libsound.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libtyping-break.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libxrandr.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libxrdb.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-2.0/libxsettings.so
%{_libdir}/gnome-settings-daemon-2.0/a11y-keyboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/background.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/clipboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/font.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/housekeeping.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/keybindings.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/keyboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/media-keys.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/mouse.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/smartcard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/sound.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/typing-break.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/xrandr.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/xrdb.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-2.0/xsettings.gnome-settings-plugin
%{_datadir}/gnome-settings-daemon
%{_datadir}/dbus-1/services/org.gnome.SettingsDaemon.service
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg

%files devel
%defattr(644,root,root,755)
%{_includedir}/gnome-settings-daemon-2.0
%{_pkgconfigdir}/gnome-settings-daemon.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-settings-daemon.spec,v $
Revision 1.34  2011/04/02 06:46:55  qboosh
- en@shaw locale is now supported (via LANGUAGE)
- use __rm macro

Revision 1.33  2011/02/04 18:23:52  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.32  2010/11/16 19:56:05  megabajt
- updated to 2.32.1

Revision 1.31  2010/09/29 18:27:46  megabajt
- updated to 2.32.0; merged changes from DEVEL

Revision 1.30.2.1  2010/08/31 18:49:16  patrys
- 2.31.91

Revision 1.30  2010/06/22 22:21:44  megabajt
- updated to 2.30.2

Revision 1.29  2010/06/04 23:18:35  baggins
- rel 2
- don't reconnect to pulseaudio damon indefinitely,
  if it's not there for 1 minute, then just stop trying

Revision 1.28  2010/04/26 19:23:10  megabajt
- updated to 2.30.1

Revision 1.27  2010/03/29 17:56:33  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.26.2.3  2010/03/21 16:51:09  megabajt
- updated to 2.29.92

Revision 1.26.2.2  2010/02/24 17:56:52  megabajt
- updated to 2.29.91.1

Revision 1.26.2.1  2010/02/12 23:35:44  megabajt
- updated to 2.29.90
- removed en@shaw locale

Revision 1.26  2009/10/23 21:46:30  megabajt
- updated to 2.28.1

Revision 1.25  2009/09/26 15:07:10  megabajt
- updated to 2.28.0; merged from DEVEL

Revision 1.24.2.6  2009/08/26 12:17:37  patrys
- 2.27.91

Revision 1.24.2.5  2009/08/14 11:27:46  patrys
- 2.27.90

Revision 1.24.2.4  2009/08/10 07:45:41  patrys
- fixes from upstream

Revision 1.24.2.3  2009/07/29 08:37:59  patrys
- 2.27.5

Revision 1.24.2.2  2009/06/29 21:11:31  patrys
- add libxklavier patch

Revision 1.24.2.1  2009/06/18 14:49:59  patrys
- 2.27.3

Revision 1.24  2009/05/25 12:42:51  patrys
- R: xrdb

Revision 1.23  2009/04/15 09:36:48  megabajt
- updated to 2.26.1

Revision 1.22  2009/03/21 00:11:03  baggins
- rel 2
- drop no-deamon patch, as we have semi-working session management in 2.26

Revision 1.21  2009/03/16 17:57:04  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.20.2.2  2009/03/05 19:40:53  megabajt
- updated to 2.25.92

Revision 1.20.2.1  2009/02/20 22:17:41  megabajt
- updated to 2.25.90
- removed obsolete -gsd-mouse-xinput.patch

Revision 1.20  2009/01/04 00:34:22  baggins
- rel 3
- fix crash with X servers that don't provide XInput (bug #562977)

Revision 1.19  2009/01/01 23:30:19  baggins
- rel 2
- do not daemonize (2.22 behaviour), doesn't break anything and make things
  work with gnome-session 2.22 (a _working_ session management)

Revision 1.18  2008/11/25 21:16:50  megabajt
- updated to 2.24.1

Revision 1.17  2008/09/27 11:35:08  megabajt
- updated to 2.24.0; merged from DEVEL

Revision 1.15.2.10  2008/09/13 09:25:54  patrys
- bump BR

Revision 1.15.2.9  2008/09/12 23:17:30  patrys
- 2.23.92

Revision 1.15.2.8  2008/09/04 10:27:22  patrys
- 2.23.91

Revision 1.15.2.7  2008/08/19 14:05:21  patrys
- 2.23.90

Revision 1.15.2.6  2008/08/07 14:28:09  patrys
- no libgnomeui dep

Revision 1.15.2.5  2008/07/26 14:01:52  megabajt
- updated to 2.23.5

Revision 1.15.2.4  2008/06/17 13:47:00  megabajt
- updated to 2.23.4

Revision 1.15.2.3  2008/06/04 13:40:01  patrys
- use new gnome-desktop

Revision 1.15.2.2  2008-06-03 20:33:21  patrys
- 2.23.3

Revision 1.16  2008/05/31 22:36:08  megabajt
- updated to 2.22.2.1

Revision 1.15.2.1  2008-05-13 11:25:00  patrys
- 2.23.1.1

Revision 1.15  2008-04-28 09:25:46  megabajt
- updated to 2.22.1

Revision 1.14  2008-03-12 00:45:46  patrys
- rebuildwith new libxklavier
- rel 3

Revision 1.13  2008-03-11 23:53:21  patrys
- rel 2

Revision 1.12  2008-03-11 23:52:48  patrys
- editor.schemas removed from package

Revision 1.11  2008-03-11 23:43:53  patrys
- 2.22.0

Revision 1.10  2008-02-11 17:21:31  megabajt
- updated to 2.21.91
- removed -load-xkb.patch
- more verbose files

Revision 1.9  2008-02-10 20:43:18  patrys
- added upstream patch to fix bug #511771

Revision 1.8  2008-02-01 17:47:58  megabajt
- updated to 2.21.90.2

Revision 1.7  2008-01-15 20:15:43  megabajt
- updated to 2.21.5.2
- sr@Latn -> sr@latin
- reviewed deps

Revision 1.6  2008-01-15 16:06:15  patrys
- 2.21.5

Revision 1.5  2008-01-13 00:38:24  qboosh
- no -libs or -static currently

Revision 1.4  2008-01-13 00:23:44  qboosh
- pl for base, glib2 epoch

Revision 1.3  2007-12-20 04:44:05  patrys
- don't obsolete g-c-c

Revision 1.2  2007-12-20 04:15:40  patrys
- package more files

Revision 1.1  2007-12-20 03:57:10  patrys
- initial PLD release
